2019-08-23 16:26 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005759Spring engineGeneralpublic2017-09-24 18:45
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005759: 103.0.1-1408 Pathfinding infinite loop issues
DescriptionHere is an example replay showing a few cases where pathfinding fluctuates between a few solutions and the units never reach their destination. The failure case that prompted this ticket is the stuck units on the top of the cliff. As I understand it, if you wait long enough after terraform then the pathfinder notices and it is effectively the same as normal terrain. I noticed another failure case at the bottom of the cliffs and this uses original map geometry.
Additional InformationZero-K v1.5.8.3
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018390

Google_Frog (reporter)

I noticed this in 103.0.1-1380 and don't know when it was introduced.

~0018391

Kloot (developer)

This is a duplicate of 0004911 and dates back to when the pathfinder was originally designed.

~0018440

Kloot (developer)

Fix 4e31ac39f24a3206848788db9fc3d02dae651c03 committed to develop branch: fix 0005759, repo: spring changeset id: 8809
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-09-14 15:23 Google_Frog New Issue
2017-09-14 15:23 Google_Frog File Added: 20170914_231946_IsisDelta_v02_103.0.1-1408-gaba49d2 develop.sdfz
2017-09-14 15:24 Google_Frog Note Added: 0018390
2017-09-14 15:24 Google_Frog File Added: screen00516.jpg
2017-09-14 15:37 Kloot Note Added: 0018391
2017-09-24 18:45 Kloot Changeset attached => spring develop 4e31ac39
2017-09-24 18:45 Kloot Note Added: 0018440
2017-09-24 18:45 Kloot Assigned To => Kloot
2017-09-24 18:45 Kloot Status new => resolved
2017-09-24 18:45 Kloot Resolution open => fixed
+Issue History